Skip to main content

PUT Vehicle

info

Vehicle's plate and VIN are unique identifiers for a vehicle. If you provide a plate or VIN that already exists in Sync, the API will update the vehicle with the provided information instead of creating a new one.

This endpoint is used to create or update a vehicle in Sync platform to process vehicles in Sync resources with the most up-to-date information.

Request​

HTTP request​

PUT https://api-sync-resser.azurewebsites.net/api/upsert-vehicle-info

Parameters​

This particular request does not utilize any query parameters in its execution.

Request body​

Provide an object like the below one:

{
"vehicleInfo": {
"vin": string,
"plate": string,
"ownerName": string,
"engineNumber": string,
"taxIdentifier": string,
"legalName": string
}
}
  • Required: At least the vehicle’s plate and vin.
  • Plate: Must be between 4 and 10 characters.
  • VIN: Must be exactly 17 characters and follow the VIN standard.
  • Other properties: Optional. If provided, each must be fewer than 128 characters.
  • Omitted properties: Any optional property not included will be ignored.
  • Removing a property: To explicitly remove a value, set it as an empty string ("").
caution

VIN and plate must not contain hyphens, spaces or special characters. Uppercase is highly recommended for consistency.

Response​

If successful, the method returns the created or updated vehicle:

{
"vehicleInfo": {
"vin": string,
"plate": string,
"ownerName": string,
"engineNumber": string,
"taxIdentifier": string,
"legalName": string
}
}
PropertiesTypeDescription
vinstringVehicle's VIN.
platestringVehicle's plate.
ownerNamestringVehicle's owner.
engineNumberstringVehicle's engine number.
taxIdentifierstring?Tax identifier of the vehicle owner.
legalNamestring?Legal name of the vehicle owner.

Errors​

The following table provides a list of potential error messages that the API may return in response to a call to this method. For more detailed information, please refer to the error message documentation.

Error typeError detailDescription
badRequest (400)BadParameters- VIN and/or plate not provided.
- Property values exceed limits or are misspelled.
unauthorized (401)UnauthorizedThe requester is not allowed to use this request.
forbidden (403)ForbiddenRequester does not have permission to perform this operation.